<!DOCTYPE html>
<html>
  <head>
    <title>Başlık </title>
  </head>
  <body>
    <h1>PugJs'e hoş geldiniz :)</h1>
    <p>
      Araya nokta koyarak
      birden birden fazla satırı aynı element içersine
      gmebilirsin
    </p>
    <p>Bur bir pragraf etiketidir.</p>
    <ul>
      <li>Bu bir itemdir #1</li>
      <li>Bu bir itemdir #2</li>
      <li>Bu bir itemdir #3</li>
    </ul>
    <h1 id="headerID">Burası id eklenmiş bir header'dır</h1>
    <p class="class-p">
      Burası p etiketi içersine class tanımlanarak
      oluşturulmuştur ve aynı zamanda çoklu satır'ı
      desktekler
      
      
    </p>
    <div class="dogrudan-div-class"></div>
    <div id="dogrudan-div-id"></div>
    <input type="password" name="pswd" attr="TRUE">
    <input type="button" value="Send">
    <input type="date" name="dt">
    <div class="my-div class1 class2 class3 class4" style="color:red;background:blue;"></div><img src="google.com/asd" alt="Bu bir resim alt başlığınıdrr">
    <input type="button" value="" disabled>
    <input type="button" value="">
    <!-- Önceden bir dizi tanımlayıp içersinde foor foor-->
    <li>
      <li>Önceden</li>
      <li>bir</li>
      <li>dizi</li>
      <li>tanımlayıp</li>
      <li>tanımlayıp</li>
      <li>forloop</li>
    </li>
    <!-- bir değişken oluşturmadan yapılan-->
    <ul>
      <li>1</li>
      <li>2</li>
      <li>3</li>
      <li>4</li>
      <li>5</li>
    </ul>
    <!--hem dizi içersindeki değer + index kısmı-->
    <ul>
      <li>0: zero</li>
      <li>1: one</li>
      <li>2: two</li>
    </ul>
    <!-- while loop-->
    <ul></ul>
    <li>0</li>
    <li>1</li>
    <li>2</li>
    <li>3</li>
    <!-- iki adet değişken oluşturup if üzerinde işlem yapma-->
    <div id="user">
      <!-- bir h2 oluştur içersinde class=green yap-->
      <h2 class="green">Description</h2>
      <!-- bir p oluştur içersinde class olarak descript yaz ve değer olarak'da user.des yaz-->
      <p class="description">foo bar baz</p>
    </div>
    <!--mixins ile tekrardan kullanılabilen nesnelere oluşturuabilir-->
    <!--bir ul li oluştur içersinde nesne yaz , başka yerde çağırıldığında kullan-->
    <!--kullan-->
        <ul>
          <li>foo</li>
          <li>bar</li>
          <li>baz</li>
        </ul>
        <ul>
          <li>foo</li>
          <li>bar</li>
          <li>baz</li>
        </ul>
    <!--parametre alan bir mixins-->
    <ul>
          <li class="pet">cat</li>
          <li class="pet">dog</li>
          <li class="pet">pig</li>
    </ul>
    <!-- pug -w ./ -o ./html/ -P-->
    <!-- -w -> hangi .pug'ları compile etsin-->
    <!-- -o -> işlemin çıktısını nereye .html olarak yazsın-->
    <!-- -P girinti çıkıntılar için-->
  </body>
</html>